Get Account Financial History
get
/rest/apis/customer/financials/accountData/{accountId}/financialHistory
This operation retrieves financial history for an account.
Request
Path Parameters
-
accountId(required): string
The Account ID is a system-assigned random number that stays with an account for life.Example:
1589800000
Query Parameters
-
endDate: string
-
limit: number
Limit is an integer value that specifies the paging size for number of records to return when serving a client request.Example:
100 -
offset: number
The offset element is an integer value that specifies the index of the first item to be returned. The offset index begins at 0 and cannot be negative.Example:
0 -
startDate: string
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/xml
- application/json
200 Response
Success response
Root Schema : C1FinHistRes
Type:
Show Source
object-
account: object
account
-
accountFinancialHistoryList: array
accountFinancialHistoryList
-
hasMore: boolean
The hasMore element indicates whether there are more items or result records to be retrieved.Example:
false -
limit: number
Minimum Value:
0Maximum Value:999999999.999999Limit is an integer value that specifies the paging size for number of records to return when serving a client request.Example:100 -
offset: number
Minimum Value:
0Maximum Value:999999999.999999The offset element is an integer value that specifies the index of the first item to be returned. The offset index begins at 0 and cannot be negative.Example:0 -
totalNumberOfRecords: number
Minimum Value:
0Maximum Value:99999The total count of records returned by the query (for pagination or summary).Example:13
Nested Schema : account
Type:
Show Source
object-
_link: string
_link
-
accountId: string
Maximum Length:
10The Account ID is a system-assigned random number that stays with an account for life.Example:1589800000
Nested Schema : items
Type:
Show Source
object-
accountingDate: string
(date)
Accounting Date is the date the system uses to determine the FT's accounting period in your general ledger.Example:
2021-01-06-00.00.00 -
adjustment: object
adjustment
-
arrearsDate: string
(date)
Arrears Date is the date the FT starts aging.Example:
2021-01-06-00.00.00 -
bill: object
bill
-
currency: object
currency
-
currentAmount: number
Current Amount shows the financial event's effect on the account's current balance.Example:
-20.23 -
currentBalance: number
Current Balance
-
financialTransactionType: string
Maximum Length:
150FT Type Description -
financialTransactionTypeCode: string
Allowed Values:
[ "AD ", "AX ", "BS ", "BX ", "PS ", "PX " ]Financial Transaction Type: * `AD ` - Adjustment, * `AX ` - Adjustment Cancellation, * `BS ` - Bill Segment, * `BX ` - Bill Segment Cancellation, * `PS ` - Pay Segment, * `PX ` - Pay Segment Cancellation -
glExtractDate: string
(date)
GL Extract DateExample:
2014-01-13-00.00.00 -
payment: object
payment
-
payOffAmount: number
Payoff Amount shows the financial event's effect on the account's payoff balance.Example:
-20.23 -
payOffBalance: number
Payoff Balance shows the account's payoff balance after the financial event.Example:
48337.45 -
primaryDescription: string
Maximum Length:
60Main description line of the transaction.Example:Charges, Due 2024-05-16 -
secondaryDescription: string
Maximum Length:
60Additional details or further context complementing the primary description.Example:30 days
Nested Schema : adjustment
Type:
Show Source
object-
adjustment: object
adjustment
-
adjustmentCancelReason: string
Maximum Length:
4Cancel Reason -
adjustmentCancelReasonDescription: string
Maximum Length:
100Cancel Reason Description -
adjustmentType: string
Maximum Length:
8Code identifying the type of adjustment.Example:LPC -
adjustmentTypeDescription: string
Maximum Length:
150Detailed explanation of the adjustment type.Example:Late payment charge -
isCalculatedAmount: boolean
Indicates whether the adjustment amount was calculated using an algorithm.Example:
false
Nested Schema : bill
Type:
Show Source
object-
bill: object
bill
-
billCancelReason: string
Maximum Length:
4Cancel Reason -
billCancelReasonDescription: string
Maximum Length:
100Cancel Reason Description -
billDueDate: string
(date)
Due Date is the date on which the bill is due.Example:
1999-10-11 -
billPeriodEndDate: string
(date)
End Date
-
billPeriodStartDate: string
(date)
Start Date
-
mixedPeriodIndicator: boolean
Indicates whether the bill period includes data from multiple billing cycles.Example:
false
Nested Schema : currency
Type:
Show Source
object-
_link: string
_link
-
currencyCode: string
Maximum Length:
3Currency Code
Nested Schema : payment
Type:
Show Source
object-
payCancelReason: string
Maximum Length:
4Cancel Reason -
payCancelReasonDescription: string
Maximum Length:
100Cancel Reason Description -
payment: object
payment
-
payTenderType: string
Maximum Length:
4Code indicating the method used for payment.Example:CC -
payTenderTypeDescription: string
Maximum Length:
60Description of the payment method.Example:Credit Card
Nested Schema : adjustment
Type:
Show Source
object-
_link: string
_link
-
adjustmentId: string
Maximum Length:
12Unique identifier for an adjustment.Example:007057190622
Nested Schema : bill
Type:
Show Source
object-
_link: string
_link
-
billId: string
Maximum Length:
12Bill ID is the system-assigned unique identifier of the bill.Example:549133128888
Nested Schema : payment
Type:
Show Source
object-
_link: string
_link
-
paymentId: string
Maximum Length:
12Payment ID is the system-assigned, unique identifier of the payment to which the financial transaction is linked.Example:025898353555
400 Response
Bad Request
Root Schema : problemDetailDocument
Type:
Show Source
object-
detail: string
Maximum Length:
60The long message description from the Oracle Utilities Application Framework in CDATA format. -
httpStatus: number
Minimum Value:
0Maximum Value:9999The HTTP Status code for the error. -
problemInstance: string
Maximum Length:
60Fully qualified URL consisting of the Base URI Timestamp of error in ISO format, the User used for the transaction, the Message Category within Oracle Utilities Application Framework, the Message Number within Oracle Utilities Application Framework, the Request URL and the HTTP method used for the transaction. -
problemType: string
Maximum Length:
60URL of the format "A/message/X/Y" where A is the base URI, X is the Message Category and Y is the Message Number within Oracle Utilities Application Framework. -
serverMessage: object
serverMessage
-
stackTrace: string
Maximum Length:
60The stack trace shows where the error occurs during the execution of a program. -
title: string
Maximum Length:
60Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
Nested Schema : serverMessage
Type:
Show Source
object-
callSequence: string
Maximum Length:
60Delimited sequence of programs called. -
longDescription: string
Maximum Length:
60The long message description from the Oracle Utilities Application Framework in CDATA format. -
messageCategory: number
Minimum Value:
0Maximum Value:0Message Category within Oracle Utilities Application Framework. -
messageNbr: number
Minimum Value:
-99999Maximum Value:99999Message Number within Oracle Utilities Application Framework. -
messageText: string
Maximum Length:
60Fully qualified error message from Oracle Utilities Application Framework in CDATA format. -
programName: string
Maximum Length:
60Name of the program that encountered the error.
500 Response
Internal Server Error
Root Schema : problemDetailDocument
Type:
Show Source
object-
detail: string
Maximum Length:
60The long message description from the Oracle Utilities Application Framework in CDATA format. -
httpStatus: number
Minimum Value:
0Maximum Value:9999The HTTP Status code for the error. -
problemInstance: string
Maximum Length:
60Fully qualified URL consisting of the Base URI Timestamp of error in ISO format, the User used for the transaction, the Message Category within Oracle Utilities Application Framework, the Message Number within Oracle Utilities Application Framework, the Request URL and the HTTP method used for the transaction. -
problemType: string
Maximum Length:
60URL of the format "A/message/X/Y" where A is the base URI, X is the Message Category and Y is the Message Number within Oracle Utilities Application Framework. -
serverMessage: object
serverMessage
-
stackTrace: string
Maximum Length:
60The stack trace shows where the error occurs during the execution of a program. -
title: string
Maximum Length:
60Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
Nested Schema : serverMessage
Type:
Show Source
object-
callSequence: string
Maximum Length:
60Delimited sequence of programs called. -
longDescription: string
Maximum Length:
60The long message description from the Oracle Utilities Application Framework in CDATA format. -
messageCategory: number
Minimum Value:
0Maximum Value:0Message Category within Oracle Utilities Application Framework. -
messageNbr: number
Minimum Value:
-99999Maximum Value:99999Message Number within Oracle Utilities Application Framework. -
messageText: string
Maximum Length:
60Fully qualified error message from Oracle Utilities Application Framework in CDATA format. -
programName: string
Maximum Length:
60Name of the program that encountered the error.